Main Page Groups Namespaces

# sigc::bind_functor< 4, T_functor, T_bound > Struct Template Reference
[bind(), bind_return()]

Adaptor that binds an argument to the wrapped functor. More...

Inheritance diagram for sigc::bind_functor< 4, T_functor, T_bound >:

[legend]
List of all members.

## Public Types

typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef adaptor_type::result_type | result_type

## Public Member Functions

result_type | operator() ()
| Invokes the wrapped functor passing on the bound argument only.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5)
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| Invokes the wrapped functor passing on the arguments.
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | sun_forte_workaround (T_arg1 _A_arg1, T_arg2 _A_arg2, T_arg3 _A_arg3, T_arg4 _A_arg4, T_arg5 _A_arg5, T_arg6 _A_arg6)
| bind_functor (typename type_trait<T_functor>::take _A_func, typename type_trait<T_bound>::take _A_bound)
| Constructs a bind_functor object that binds an argument to the passed functor.

## Public Attributes

T_bound | bound_
| The argument bound to the functor.

## Detailed Description

### template <class T_functor, class T_bound>
struct sigc::bind_functor< 4, T_functor, T_bound >

Adaptor that binds an argument to the wrapped functor.

This template specialization fixes the 5th argument of the wrapped functor.

## Member Typedef Documentation

template <class T_functor, class T_bound>
typedef adapts<T_functor>::adaptor_type sigc::bind_functor<4, T_functor, T_bound>::adaptor_type

| Reimplemented from sigc::adapts<T_functor>.

template <class T_functor, class T_bound>
typedef adaptor_type::result_type sigc::bind_functor<4, T_functor, T_bound>::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Member Function Documentation

template <class T_functor, class T_bound>
sigc::bind_functor<4, T_functor, T_bound>::bind_functor | ( | typename type_trait<T_functor>::take | _A_func,
|  | typename type_trait<T_bound>::take | _A_bound
| ) | `[inline]`

Constructs a bind_functor object that binds an argument to the passed functor.

Parameters:

  | _A_functor | Functor to invoke from operator()().
  | _A_bound | Argument to bind to the functor.

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::bind_functor<4, T_functor, T_bound>::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6
| ) | `[inline]`

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 5th argument.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.
  | _A_arg5 | Argument to be passed on to the functor.
  | _A_arg6 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::bind_functor<4, T_functor, T_bound>::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5
| ) | `[inline]`

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 5th argument.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.
  | _A_arg5 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::bind_functor<4, T_functor, T_bound>::operator() | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4
| ) | `[inline]`

Invokes the wrapped functor passing on the arguments.

bound_ is passed as the 5th argument.

Parameters:

  | _A_arg1 | Argument to be passed on to the functor.
  | _A_arg2 | Argument to be passed on to the functor.
  | _A_arg3 | Argument to be passed on to the functor.
  | _A_arg4 | Argument to be passed on to the functor.

Returns:
  The return value of the functor invocation.

template <class T_functor, class T_bound>
bind_functor<4, T_functor, T_bound>::result_type sigc::bind_functor<4, T_functor, T_bound>::operator() | ( |  | ) |

Invokes the wrapped functor passing on the bound argument only.

Returns:
  The return value of the functor invocation.

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::bind_functor<4, T_functor, T_bound>::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5,
|  | T_arg6 | _A_arg6
| ) | `[inline]`

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::bind_functor<4, T_functor, T_bound>::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4,
|  | T_arg5 | _A_arg5
| ) | `[inline]`

template <class T_functor, class T_bound>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::bind_functor<4, T_functor, T_bound>::sun_forte_workaround | ( | T_arg1 | _A_arg1,
|  | T_arg2 | _A_arg2,
|  | T_arg3 | _A_arg3,
|  | T_arg4 | _A_arg4
| ) | `[inline]`

## Member Data Documentation

template <class T_functor, class T_bound>
T_bound sigc::bind_functor<4, T_functor, T_bound>::bound_

| The argument bound to the functor.

The documentation for this struct was generated from the following file:

- adaptors/bind.h